Index: /pom.xml
===================================================================
--- /pom.xml	(revision 24)
+++ /pom.xml	(revision 25)
@@ -6,5 +6,5 @@
 	<artifactId>partiesserver</artifactId>
 	<packaging>war</packaging>
-	<version>1.5.5</version> <!-- must equal ${geniusweb.version} -->
+	<version>1.5.6</version> <!-- must equal ${geniusweb.version} -->
 	<name>partiesserver Maven Webapp</name>
 	<url>http://maven.apache.org</url>
@@ -19,5 +19,5 @@
 		<!-- <tomcat.version>8.0.53</tomcat.version> -->
 		<tomcat.version>8.5.20</tomcat.version>
-		<geniusweb.version>1.5.5</geniusweb.version>
+		<geniusweb.version>1.5.6</geniusweb.version>
 	</properties>
 
Index: /src/main/webapp/list.xhtml
===================================================================
--- /src/main/webapp/list.xhtml	(revision 24)
+++ /src/main/webapp/list.xhtml	(revision 25)
@@ -19,4 +19,5 @@
 				<th>URI</th>
 				<th>Behaviour</th>
+				<th>Profile types</th>
 				<th>Description</th>
 			</tr>
@@ -75,9 +76,17 @@
         	for (i in parties) {
         		var party=parties[i];
+        		var profiles=[];
+        		for (var prof of party['capabilities']['profiles']) {
+        			if (prof.includes('.')) {
+        				prof=prof.substr(prof.lastIndexOf('.')+1)
+        			}
+        			profiles.push(prof);
+        		}
         		var row = table.insertRow(-1); //-1 = end
         		row.insertCell(0).innerHTML = party['uri'].split('/').pop(); // last element of URI
         		row.insertCell(1).innerHTML = party['uri'];
         		row.insertCell(2).innerHTML = party['capabilities']['behaviours'];
-        		row.insertCell(3).innerHTML = party['description'];
+        		row.insertCell(3).innerHTML = profiles;
+        		row.insertCell(4).innerHTML = party['description'];
         		
         	}
Index: /src/test/java/geniusweb/partiesserver/AvailablePartiesUpdaterTest.java
===================================================================
--- /src/test/java/geniusweb/partiesserver/AvailablePartiesUpdaterTest.java	(revision 24)
+++ /src/test/java/geniusweb/partiesserver/AvailablePartiesUpdaterTest.java	(revision 25)
@@ -31,5 +31,5 @@
 
 public class AvailablePartiesUpdaterTest {
-	private static final String RANDOMPARTY = "target/jars/randomparty-1.5.5.jar";
+	private static final String RANDOMPARTY = "target/jars/randomparty-1.5.6.jar";
 	private static final int TESTRATE = 200; // check file changes every 200ms
 	@SuppressWarnings("unchecked")
Index: /src/test/java/geniusweb/partiesserver/JavaClientTest.java
===================================================================
--- /src/test/java/geniusweb/partiesserver/JavaClientTest.java	(revision 24)
+++ /src/test/java/geniusweb/partiesserver/JavaClientTest.java	(revision 25)
@@ -39,5 +39,5 @@
  */
 public class JavaClientTest {
-	private static final String RANDOMPARTY = "http://localhost:8080/partiesserver/run/randomparty-1.5.5";
+	private static final String RANDOMPARTY = "http://localhost:8080/partiesserver/run/randomparty-1.5.6";
 	private EmbeddedTomcat tomcat = new EmbeddedTomcat();
 	private JavaClient client = new JavaClient();
Index: /src/test/java/geniusweb/partiesserver/websocket/GeneralPartyInfoTest.java
===================================================================
--- /src/test/java/geniusweb/partiesserver/websocket/GeneralPartyInfoTest.java	(revision 24)
+++ /src/test/java/geniusweb/partiesserver/websocket/GeneralPartyInfoTest.java	(revision 25)
@@ -9,4 +9,5 @@
 import java.util.HashSet;
 import java.util.List;
+import java.util.Set;
 
 import org.junit.Before;
@@ -18,4 +19,5 @@
 import geniusweb.partiesserver.repository.GeneralPartyInfo;
 import geniusweb.party.Capabilities;
+import geniusweb.profile.Profile;
 import tudelft.utilities.junit.GeneralTests;
 
@@ -41,5 +43,5 @@
 
 	private final ObjectMapper jackson = new ObjectMapper();
-	private String serialized = "{\"uri\":\"http://iri1\",\"capabilities\":{\"behaviours\":[\"SAOP\"]},\"description\":\"description 1\"}";
+	private String serialized = "{\"uri\":\"http://iri1\",\"capabilities\":{\"behaviours\":[\"SAOP\"],\"profiles\":[\"geniusweb.profile.Profile\"]},\"description\":\"description 1\"}";
 
 	@Before
@@ -49,6 +51,8 @@
 		protocols1 = new HashSet<>(Arrays.asList("SAOP"));
 		protocols2 = new HashSet<>(Arrays.asList("SEB"));
-		caps1 = new Capabilities(protocols1);
-		caps2 = new Capabilities(protocols2);
+		Set<Class<? extends Profile>> profilesclasses = new HashSet<>(
+				Arrays.asList(Profile.class));
+		caps1 = new Capabilities(protocols1, profilesclasses);
+		caps2 = new Capabilities(protocols2, profilesclasses);
 		descr1 = "description 1";
 		descr2 = "description 2";
